# CallstackUI Module

A UI extension to the CallStackScriptingModule. It provides methods to visualize callstack data providers in the Trace Compass UI.

## Method Overview

Method | Description
--- | ---
openFlameGraphView() | Open a time graph view with a data provider

## Methods

### openFlameGraphView

void openFlameGraphView(org.eclipse.tracecompass.incubator.internal.callstack.core.flamegraph.FlameGraphDataProvider<?, ?, ?> dataProvider)

Open a time graph view with a data provider

dataProvider
  The data provider used to populate the view